# zoll
Abfragen von Importzöllen und Wechselkursen

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 1.0.0
- Package version: 0.1.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python >= 3.6

## Installation & Usage
### pip install

```sh
pip install deutschland[zoll]
```

### poetry install

```sh
poetry add deutschland -E zoll
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

## Usage

Import the package:
```python
from deutschland import zoll
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import time
from deutschland import zoll
from pprint import pprint
from deutschland.zoll.api import default_api
from deutschland.zoll.model.categories import Categories
from deutschland.zoll.model.countries import Countries
from deutschland.zoll.model.exchange_rates import ExchangeRates
from deutschland.zoll.model.product_groups import ProductGroups
from deutschland.zoll.model.product_units import ProductUnits
from deutschland.zoll.model.products import Products
# Defining the host is optional and defaults to https://www.bundesfinanzministerium.de/SiteGlobals/Functions/Apps/retrieve
# See configuration.py for a list of all supported configuration parameters.
configuration = zoll.Configuration(
    host = "https://www.bundesfinanzministerium.de/SiteGlobals/Functions/Apps/retrieve"
)



# Enter a context with an instance of the API client
with zoll.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = default_api.DefaultApi(api_client)
    client = "ZUP" # str |  (default to "ZUP")
view = "renderJson[App]" # str |  (default to "renderJson[App]")
user_agent = "zollundpost/2 CFNetwork/1220.1 Darwin/20.3.0" # str |  (default to "zollundpost/2 CFNetwork/1220.1 Darwin/20.3.0")
last_modified_date = "" # str |  (optional) (default to "")

    try:
        # Produktkategorien
        api_response = api_instance.kategorien_get(client, view, user_agent, last_modified_date=last_modified_date)
        pprint(api_response)
    except zoll.ApiException as e:
        print("Exception when calling DefaultApi->kategorien_get: %s\n" % e)
```

## Documentation for API Endpoints

All URIs are relative to *https://www.bundesfinanzministerium.de/SiteGlobals/Functions/Apps/retrieve*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*DefaultApi* | [**kategorien_get**](docs/DefaultApi.md#kategorien_get) | **GET** /kategorien | Produktkategorien
*DefaultApi* | [**kurse_app_kurs_export_txt_get**](docs/DefaultApi.md#kurse_app_kurs_export_txt_get) | **GET** /Kurse/App/KursExport.txt | Währungskurse
*DefaultApi* | [**laender_get**](docs/DefaultApi.md#laender_get) | **GET** /laender | 
*DefaultApi* | [**produkte_get**](docs/DefaultApi.md#produkte_get) | **GET** /produkte | Produkte
*DefaultApi* | [**produkteinheiten_get**](docs/DefaultApi.md#produkteinheiten_get) | **GET** /produkteinheiten | 
*DefaultApi* | [**produktgruppen_get**](docs/DefaultApi.md#produktgruppen_get) | **GET** /produktgruppen | 


## Documentation For Models

 - [Categories](docs/Categories.md)
 - [CategoriesData](docs/CategoriesData.md)
 - [Category](docs/Category.md)
 - [Countries](docs/Countries.md)
 - [CountriesData](docs/CountriesData.md)
 - [Country](docs/Country.md)
 - [ExchangeRates](docs/ExchangeRates.md)
 - [ExchangeRatesKurse](docs/ExchangeRatesKurse.md)
 - [Product](docs/Product.md)
 - [ProductGroup](docs/ProductGroup.md)
 - [ProductGroups](docs/ProductGroups.md)
 - [ProductGroupsData](docs/ProductGroupsData.md)
 - [ProductUnit](docs/ProductUnit.md)
 - [ProductUnits](docs/ProductUnits.md)
 - [ProductUnitsData](docs/ProductUnitsData.md)
 - [Products](docs/Products.md)
 - [ProductsData](docs/ProductsData.md)


## Documentation For Authorization

 All endpoints do not require authorization.

## Author

kontakt@bund.dev


## Notes for Large OpenAPI documents
If the OpenAPI document is large, imports in zoll.apis and zoll.models may fail with a
RecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:

Solution 1:
Use specific imports for apis and models like:
- `from deutschland.zoll.api.default_api import DefaultApi`
- `from deutschland.zoll.model.pet import Pet`

Solution 2:
Before importing the package, adjust the maximum recursion limit as shown below:
```
import sys
sys.setrecursionlimit(1500)
from deutschland import zoll
from deutschland.zoll.apis import *
from deutschland.zoll.models import *
```

