# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.zoll',
 'deutschland.zoll.api',
 'deutschland.zoll.apis',
 'deutschland.zoll.model',
 'deutschland.zoll.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-zoll',
    'version': '0.1.0',
    'description': 'Einfuhrzoll API',
    'long_description': '# zoll\nAbfragen von Importzöllen und Wechselkursen\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 1.0.0\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[zoll]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E zoll\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import zoll\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import zoll\nfrom pprint import pprint\nfrom deutschland.zoll.api import default_api\nfrom deutschland.zoll.model.categories import Categories\nfrom deutschland.zoll.model.countries import Countries\nfrom deutschland.zoll.model.exchange_rates import ExchangeRates\nfrom deutschland.zoll.model.product_groups import ProductGroups\nfrom deutschland.zoll.model.product_units import ProductUnits\nfrom deutschland.zoll.model.products import Products\n# Defining the host is optional and defaults to https://www.bundesfinanzministerium.de/SiteGlobals/Functions/Apps/retrieve\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = zoll.Configuration(\n    host = "https://www.bundesfinanzministerium.de/SiteGlobals/Functions/Apps/retrieve"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith zoll.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    client = "ZUP" # str |  (default to "ZUP")\nview = "renderJson[App]" # str |  (default to "renderJson[App]")\nuser_agent = "zollundpost/2 CFNetwork/1220.1 Darwin/20.3.0" # str |  (default to "zollundpost/2 CFNetwork/1220.1 Darwin/20.3.0")\nlast_modified_date = "" # str |  (optional) (default to "")\n\n    try:\n        # Produktkategorien\n        api_response = api_instance.kategorien_get(client, view, user_agent, last_modified_date=last_modified_date)\n        pprint(api_response)\n    except zoll.ApiException as e:\n        print("Exception when calling DefaultApi->kategorien_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.bundesfinanzministerium.de/SiteGlobals/Functions/Apps/retrieve*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**kategorien_get**](docs/DefaultApi.md#kategorien_get) | **GET** /kategorien | Produktkategorien\n*DefaultApi* | [**kurse_app_kurs_export_txt_get**](docs/DefaultApi.md#kurse_app_kurs_export_txt_get) | **GET** /Kurse/App/KursExport.txt | Währungskurse\n*DefaultApi* | [**laender_get**](docs/DefaultApi.md#laender_get) | **GET** /laender | \n*DefaultApi* | [**produkte_get**](docs/DefaultApi.md#produkte_get) | **GET** /produkte | Produkte\n*DefaultApi* | [**produkteinheiten_get**](docs/DefaultApi.md#produkteinheiten_get) | **GET** /produkteinheiten | \n*DefaultApi* | [**produktgruppen_get**](docs/DefaultApi.md#produktgruppen_get) | **GET** /produktgruppen | \n\n\n## Documentation For Models\n\n - [Categories](docs/Categories.md)\n - [CategoriesData](docs/CategoriesData.md)\n - [Category](docs/Category.md)\n - [Countries](docs/Countries.md)\n - [CountriesData](docs/CountriesData.md)\n - [Country](docs/Country.md)\n - [ExchangeRates](docs/ExchangeRates.md)\n - [ExchangeRatesKurse](docs/ExchangeRatesKurse.md)\n - [Product](docs/Product.md)\n - [ProductGroup](docs/ProductGroup.md)\n - [ProductGroups](docs/ProductGroups.md)\n - [ProductGroupsData](docs/ProductGroupsData.md)\n - [ProductUnit](docs/ProductUnit.md)\n - [ProductUnits](docs/ProductUnits.md)\n - [ProductUnitsData](docs/ProductUnitsData.md)\n - [Products](docs/Products.md)\n - [ProductsData](docs/ProductsData.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in zoll.apis and zoll.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.zoll.api.default_api import DefaultApi`\n- `from deutschland.zoll.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import zoll\nfrom deutschland.zoll.apis import *\nfrom deutschland.zoll.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/zoll-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
